#ifndef RTC_H_
#define RTC_H_

/******************************************************************************
* Include files
******************************************************************************/


/******************************************************************************
* Types
******************************************************************************/
typedef struct
{
	uint8_t sec,min,hrs,date,month,year,day;

} date_t;


/******************************************************************************
* Constants
******************************************************************************/



/******************************************************************************
* External Variables
******************************************************************************/
extern date_t date;
/******************************************************************************
* Macros
******************************************************************************/


/******************************************************************************
* Global Function Declarations
******************************************************************************/
void read_date(void);
void set_date_time(date_t datum);
void set_square_wave();
void TWRC_stop(void);
void TWRC_init(void);

#endif /* RTC_H_ */